com.amazonaws.services.simpleworkflow.model

## Class SignalExternalWorkflowExecutionInitiatedEventAttributes

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.SignalExternalWorkflowExecutionInitiatedEventAttributes

All Implemented Interfaces:
  Serializable, Cloneable

    public class SignalExternalWorkflowExecutionInitiatedEventAttributes
    extends Object
    implements Serializable, Cloneable

Provides details of the `SignalExternalWorkflowExecutionInitiated` event.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SignalExternalWorkflowExecutionInitiatedEventAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`SignalExternalWorkflowExecutionInitiatedEventAttributes` `clone()`
`boolean` `equals(Object obj)`
`String` `getControl()` Optional. data attached to the event that can be used by the decider in subsequent decision tasks.
`Long` `getDecisionTaskCompletedEventId()` The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `SignalExternalWorkflowExecution` decision for this signal.
`String` `getInput()` Input provided to the signal (if any).
`String` `getRunId()` The `runId` of the external workflow execution to send the signal to.
`String` `getSignalName()` The name of the signal.
`String` `getWorkflowId()` The `workflowId` of the external workflow execution.
`int` `hashCode()`
`void` `setControl(String control)` Optional. data attached to the event that can be used by the decider in subsequent decision tasks.
`void` `setDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)` The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `SignalExternalWorkflowExecution` decision for this signal.
`void` `setInput(String input)` Input provided to the signal (if any).
`void` `setRunId(String runId)` The `runId` of the external workflow execution to send the signal to.
`void` `setSignalName(String signalName)` The name of the signal.
`void` `setWorkflowId(String workflowId)` The `workflowId` of the external workflow execution.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`SignalExternalWorkflowExecutionInitiatedEventAttributes` `withControl(String control)` Optional. data attached to the event that can be used by the decider in subsequent decision tasks.
`SignalExternalWorkflowExecutionInitiatedEventAttributes` `withDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)` The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `SignalExternalWorkflowExecution` decision for this signal.
`SignalExternalWorkflowExecutionInitiatedEventAttributes` `withInput(String input)` Input provided to the signal (if any).
`SignalExternalWorkflowExecutionInitiatedEventAttributes` `withRunId(String runId)` The `runId` of the external workflow execution to send the signal to.
`SignalExternalWorkflowExecutionInitiatedEventAttributes` `withSignalName(String signalName)` The name of the signal.
`SignalExternalWorkflowExecutionInitiatedEventAttributes` `withWorkflowId(String workflowId)` The `workflowId` of the external workflow execution.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SignalExternalWorkflowExecutionInitiatedEventAttributes

    public SignalExternalWorkflowExecutionInitiatedEventAttributes()

### Method Detail

#### setWorkflowId

    public void setWorkflowId(String workflowId)

The `workflowId` of the external workflow execution.

Parameters:
  `workflowId` - The `workflowId` of the external workflow execution.

#### getWorkflowId

    public String getWorkflowId()

The `workflowId` of the external workflow execution.

Returns:
  The `workflowId` of the external workflow execution.

#### withWorkflowId

    public SignalExternalWorkflowExecutionInitiatedEventAttributes withWorkflowId(String workflowId)

The `workflowId` of the external workflow execution.

Parameters:
  `workflowId` - The `workflowId` of the external workflow execution.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setRunId

    public void setRunId(String runId)

The `runId` of the external workflow execution to send the signal to.

Parameters:
  `runId` - The `runId` of the external workflow execution to send the signal to.

#### getRunId

    public String getRunId()

The `runId` of the external workflow execution to send the signal to.

Returns:
  The `runId` of the external workflow execution to send the signal to.

#### withRunId

    public SignalExternalWorkflowExecutionInitiatedEventAttributes withRunId(String runId)

The `runId` of the external workflow execution to send the signal to.

Parameters:
  `runId` - The `runId` of the external workflow execution to send the signal to.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setSignalName

    public void setSignalName(String signalName)

The name of the signal.

Parameters:
  `signalName` - The name of the signal.

#### getSignalName

    public String getSignalName()

The name of the signal.

Returns:
  The name of the signal.

#### withSignalName

    public SignalExternalWorkflowExecutionInitiatedEventAttributes withSignalName(String signalName)

The name of the signal.

Parameters:
  `signalName` - The name of the signal.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setInput

    public void setInput(String input)

Input provided to the signal (if any).

Parameters:
  `input` - Input provided to the signal (if any).

#### getInput

    public String getInput()

Input provided to the signal (if any).

Returns:
  Input provided to the signal (if any).

#### withInput

    public SignalExternalWorkflowExecutionInitiatedEventAttributes withInput(String input)

Input provided to the signal (if any).

Parameters:
  `input` - Input provided to the signal (if any).
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDecisionTaskCompletedEventId

    public void setDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)

The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `SignalExternalWorkflowExecution` decision for this signal. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `decisionTaskCompletedEventId` - The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `SignalExternalWorkflowExecution` decision for this signal. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### getDecisionTaskCompletedEventId

    public Long getDecisionTaskCompletedEventId()

The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `SignalExternalWorkflowExecution` decision for this signal. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Returns:
  The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `SignalExternalWorkflowExecution` decision for this signal. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### withDecisionTaskCompletedEventId

    public SignalExternalWorkflowExecutionInitiatedEventAttributes withDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)

The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `SignalExternalWorkflowExecution` decision for this signal. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `decisionTaskCompletedEventId` - The ID of the `DecisionTaskCompleted` event corresponding to the decision task that resulted in the `SignalExternalWorkflowExecution` decision for this signal. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setControl

    public void setControl(String control)

Optional. data attached to the event that can be used by the decider in subsequent decision tasks.

Parameters:
  `control` - Optional.

#### getControl

    public String getControl()

Optional. data attached to the event that can be used by the decider in subsequent decision tasks.

Returns:
  Optional.

#### withControl

    public SignalExternalWorkflowExecutionInitiatedEventAttributes withControl(String control)

Optional. data attached to the event that can be used by the decider in subsequent decision tasks.

Parameters:
  `control` - Optional.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public SignalExternalWorkflowExecutionInitiatedEventAttributes clone()

Overrides:
  `clone` in class `Object`